Bug 2242779 - Review Request: rust-async-signal - Async signal handling
Summary: Review Request: rust-async-signal - Async signal handling
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora.dm0
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/async-signal
Whiteboard:
Depends On:
Blocks: 2240641
TreeView+ depends on / blocked
 
Reported: 2023-10-08 22:20 UTC by Fabio Valentini
Modified: 2023-10-19 16:29 UTC (History)
2 users (show)

Fixed In Version: rust-async-signal-0.2.4-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-19 16:29:38 UTC
Type: ---
Embargoed:
fedora.dm0: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 6506511 to 6544988 (959 bytes, patch)
2023-10-18 20:22 UTC, Fedora Review Service
no flags Details | Diff

Description Fabio Valentini 2023-10-08 22:20:21 UTC
Spec URL: https://decathorpe.fedorapeople.org/rust-async-signal.spec
SRPM URL: https://decathorpe.fedorapeople.org/rust-async-signal-0.2.3-1.fc39.src.rpm

Description:
Async signal handling.

Fedora Account System Username: decathorpe

Comment 1 Fabio Valentini 2023-10-08 22:20:24 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=107242908

Comment 2 Fedora Review Service 2023-10-08 22:26:50 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6506511
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2242779-rust-async-signal/fedora-rawhide-x86_64/06506511-rust-async-signal/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 4 Fedora Review Service 2023-10-18 20:22:36 UTC
Created attachment 1994510 [details]
The .spec file difference from Copr build 6506511 to 6544988

Comment 5 Fedora Review Service 2023-10-18 20:22:38 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6544988
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2242779-rust-async-signal/fedora-rawhide-x86_64/06544988-rust-async-signal/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 6 fedora.dm0 2023-10-19 15:22:24 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (Apache-2.0 OR MIT) and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

I haven't reviewed a Rust crate before, so I copied the template you use for them.  Let me know if I should be doing the full checklist from the guidelines instead.

Comment 7 Fabio Valentini 2023-10-19 16:05:24 UTC
Thanks for the review!
This is fine, assuming you checked everything in the checklist.

Comment 8 Fedora Admin user for bugzilla script actions 2023-10-19 16:06:37 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-async-signal

Comment 9 Fabio Valentini 2023-10-19 16:29:38 UTC
Imported and built:
https://bodhi.fedoraproject.org/updates/FEDORA-2023-b58d6444da


Note You need to log in before you can comment on or make changes to this bug.